Advisory Details

February 10th, 2021

Omron CX-One PSW File Parsing Type Confusion Remote Code Execution Vulnerability

ZDI-21-184
ZDI-CAN-11809

CVE ID CVE-2020-27257
CVSS SCORE 7.8, (AV:L/AC:L/PR:N/UI:R/S:U/C:H/I:H/A:H)
AFFECTED VENDORS Omron
AFFECTED PRODUCTS CX-One
VULNERABILITY DETAILS

This vulnerability allows remote attackers to execute arbitrary code on affected installations of Omron CX-One. User interaction is required to exploit this vulnerability in that the target must visit a malicious page or open a malicious file.

The specific flaw exists within the parsing of PSW files by the CX-Protocol application. The issue results from the lack of proper validation of user-supplied data, which can result in a type confusion condition. An attacker can leverage this vulnerability to execute code in the context of the current process.

ADDITIONAL DETAILS Omron has issued an update to correct this vulnerability. More details can be found at:
https://us-cert.cisa.gov/ics/advisories/icsa-21-007-02
DISCLOSURE TIMELINE
  • 2020-09-04 - Vulnerability reported to vendor
  • 2021-02-10 - Coordinated public release of advisory
CREDIT rgod
BACK TO ADVISORIES